#1860 View all connections not working

1.170
closed
Jamie Cameron
5
2004-12-14
2004-12-02
Anonymous
No

Webmin 1.1.70, Samba 3.0.9 Debian Woody. View all
connections do not display correctly the list generated
by smbstatus.
The page always report There are no currently
connected users. Path to smbstatus is set correctly.
petr.sehnal@atlas.cz

Discussion

  • Jamie Cameron
    Jamie Cameron
    2004-12-10

    Logged In: YES
    user_id=129364

    What does the command
    smbstatus -S
    output on your system?

     
  • Hugies
    Hugies
    2004-12-13

    Logged In: YES
    user_id=1177183

    Service pid machine Connected at
    -------------------------------------------------------
    programy 12482 neumann Mon Dec 13 06:34:55 2004
    data 12625 gamin1 Mon Dec 13 08:20:09 2004
    ostatni 12830 eva Mon Dec 13 11:11:14 2004
    instalace 12664 bartonek Mon Dec 13 08:46:29 2004
    hp840c 12625 gamin1 Mon Dec 13 08:20:09 2004
    data 7500 sekretariat Thu Dec 9 12:50:45 2004
    data 12835 gamin3 Mon Dec 13 11:15:21 2004
    programy 12664 bartonek Mon Dec 13 08:46:29 2004
    gamin3 12835 gamin3 Mon Dec 13 11:15:21 2004
    IPC$ 12835 gamin3 Mon Dec 13 12:25:27 2004
    gamin2 12072 gamin2 Sun Dec 12 22:59:45 2004
    oki14ex 12830 eva Mon Dec 13 11:11:14 2004
    hp840c 7500 sekretariat Thu Dec 9 12:50:45 2004
    hp840c 12835 gamin3 Mon Dec 13 11:15:21 2004
    data 12482 neumann Mon Dec 13 06:34:51 2004
    ostatni 12664 bartonek Mon Dec 13 08:46:29 2004
    instalace 12072 gamin2 Sun Dec 12 22:59:46 2004
    data 12830 eva Mon Dec 13 11:11:13 2004
    ostatni 12482 neumann Mon Dec 13 06:34:59 2004
    programy 12072 gamin2 Sun Dec 12 22:59:46 2004
    hp840c 12830 eva Mon Dec 13 11:11:14 2004
    instalace 12625 gamin1 Mon Dec 13 08:20:09 2004
    oki14ex 12664 bartonek Mon Dec 13 08:46:29 2004
    programy 12625 gamin1 Mon Dec 13 08:20:09 2004
    oki14ex 12482 neumann Mon Dec 13 06:35:00 2004
    instalace 7500 sekretariat Thu Dec 9 12:50:45 2004
    instalace 12835 gamin3 Mon Dec 13 11:15:21 2004
    ostatni 12072 gamin2 Sun Dec 12 22:59:46 2004
    programy 7500 sekretariat Thu Dec 9 12:50:45 2004
    programy 12835 gamin3 Mon Dec 13 11:15:21 2004
    bartonek 12664 bartonek Mon Dec 13 08:46:29 2004
    data 12664 bartonek Mon Dec 13 08:46:29 2004
    hp840c 12664 bartonek Mon Dec 13 08:46:29 2004
    IPC$ 12625 gamin1 Mon Dec 13 08:23:49 2004
    ucetni 12830 eva Mon Dec 13 11:11:13 2004
    ostatni 12625 gamin1 Mon Dec 13 08:20:09 2004
    oki14ex 12072 gamin2 Sun Dec 12 22:59:46 2004
    ostatni 7500 sekretariat Thu Dec 9 12:50:45 2004
    ostatni 12835 gamin3 Mon Dec 13 11:15:21 2004
    instalace 12830 eva Mon Dec 13 11:11:14 2004
    IPC$ 12072 gamin2 Mon Dec 13 11:00:14 2004
    hp840c 12482 neumann Mon Dec 13 06:35:02 2004
    programy 12830 eva Mon Dec 13 11:11:13 2004
    data 12072 gamin2 Sun Dec 12 22:59:46 2004
    oki14ex 12625 gamin1 Mon Dec 13 08:20:09 2004
    hp840c 12072 gamin2 Sun Dec 12 22:59:46 2004
    kamila 7500 sekretariat Thu Dec 9 12:50:45 2004
    oki14ex 7500 sekretariat Thu Dec 9 12:50:45 2004
    oki14ex 12835 gamin3 Mon Dec 13 11:15:21 2004
    instalace 12482 neumann Mon Dec 13 06:34:58 2004

     
  • Jamie Cameron
    Jamie Cameron
    2004-12-14

    Logged In: YES
    user_id=129364

    Is there no section like :

    PID Username Group Machine
    -------------------------------------------------------------------
    20487 jcameron wheel fudu (193.9.101.104)

    This is needed by Webmin to find the username for each client.

     
  • Hugies
    Hugies
    2004-12-14

    Logged In: YES
    user_id=1177183

    OK, so I think that Samba team chaged output of smbstatus -
    S command? What can I do to make it working again?
    From man page:
    -S|--shares
    causes smbstatus to only list shares.

    This list I get with command smbstatus -b.

     
  • Jamie Cameron
    Jamie Cameron
    2004-12-14

    Logged In: YES
    user_id=129364

    Thanks for the info - Webmin is using the -S option when it
    doesn't need to. This will be fixed in the next release ..

     
  • Jamie Cameron
    Jamie Cameron
    2004-12-14

    • status: open --> closed
     
  • Hugies
    Hugies
    2004-12-15

    Logged In: YES
    user_id=1177183

    I tried Samba 2.X and output of smbstatus -S command was
    really different. I think that is possible to use smsbstatus -b,
    but there is on the first line info about version, so this must
    be deleted.

     
  • Logged In: YES
    user_id=204003

    Hi , my system [ RedHat EL3 UP4 ]

    locate and edit samba-lib.pl

    in sub list_conections{}

    modifi line :

    if ($l =~ /^----/) {
    $started++;
    }
    elsif ($started == 1 &&
    $l =~ /^\s*(\d+)\s+(\S+)\s+(\S+)\s+(\S+)
    \s+\((\S+)\)/) {
    $pidmap{$1} = [ $1, $2, $3, $4, $5 ];
    }
    -----> OLD elsif ($started == 2 &&
    -----> NEW elsif ($started == 1 &&
    $l =~ /^\s*(\S+)\s+(\d+)\s+(\S+)\s+(.*)
    $/) {
    local $p = $pidmap{$2};
    if (!$_[0] || $1 eq $_[0] ||
    $1 eq $p->[1] && $_[0] eq "homes") {
    push(@rv, [ $1, $p->[1], $p->[2],
    $2, $3, $4 ]);
    }
    }

    Now view all conection is OK,,,